zenilib: zenilib/jni/external/freetype2/include/freetype/t1tables.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
t1tables.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | CID_FaceDictRec_
struct | CID_FaceInfoRec_
struct | PS_BlendRec_
struct | PS_DesignMap_
struct | PS_FontInfoRec_
struct | PS_PrivateRec_

## Macros

#define | t1_blend_blue_scale T1_BLEND_BLUE_SCALE
#define | t1_blend_blue_shift T1_BLEND_BLUE_SHIFT
#define | t1_blend_blue_values T1_BLEND_BLUE_VALUES
#define | t1_blend_family_blues T1_BLEND_FAMILY_BLUES
#define | t1_blend_family_other_blues T1_BLEND_FAMILY_OTHER_BLUES
#define | t1_blend_force_bold T1_BLEND_FORCE_BOLD
#define | t1_blend_italic_angle T1_BLEND_ITALIC_ANGLE
#define | t1_blend_max T1_BLEND_MAX
#define | t1_blend_other_blues T1_BLEND_OTHER_BLUES
#define | t1_blend_standard_height T1_BLEND_STANDARD_HEIGHT
#define | t1_blend_standard_widths T1_BLEND_STANDARD_WIDTH
#define | t1_blend_stem_snap_heights T1_BLEND_STEM_SNAP_HEIGHTS
#define | t1_blend_stem_snap_widths T1_BLEND_STEM_SNAP_WIDTHS
#define | t1_blend_underline_position T1_BLEND_UNDERLINE_POSITION
#define | t1_blend_underline_thickness T1_BLEND_UNDERLINE_THICKNESS
#define | T1_MAX_MM_AXIS 4
#define | T1_MAX_MM_DESIGNS 16
#define | T1_MAX_MM_MAP_POINTS 20

## Typedefs

typedef struct CID_FaceDictRec_ * | CID_FaceDict
typedef struct CID_FaceDictRec_ | CID_FaceDictRec
typedef struct CID_FaceInfoRec_ * | CID_FaceInfo
typedef struct CID_FaceInfoRec_ | CID_FaceInfoRec
typedef CID_FaceDictRec | CID_FontDict
typedef CID_FaceInfoRec | CID_Info
typedef struct PS_BlendRec_ * | PS_Blend
typedef struct PS_BlendRec_ | PS_BlendRec
typedef struct PS_DesignMap_ * | PS_DesignMap
typedef struct PS_DesignMap_ | PS_DesignMapRec
typedef enum PS_Dict_Keys_ | PS_Dict_Keys
typedef struct PS_FontInfoRec_ * | PS_FontInfo
typedef FT_BEGIN_HEADER struct PS_FontInfoRec_ | PS_FontInfoRec
typedef struct PS_PrivateRec_ * | PS_Private
typedef struct PS_PrivateRec_ | PS_PrivateRec
typedef PS_BlendRec | T1_Blend
typedef enum T1_Blend_Flags_ | T1_Blend_Flags
typedef PS_DesignMapRec | T1_DesignMap
typedef enum T1_EncodingType_ | T1_EncodingType
typedef PS_FontInfoRec | T1_FontInfo
typedef PS_PrivateRec | T1_Private

## Enumerations

enum

PS_Dict_Keys_ {
PS_DICT_FONT_TYPE, PS_DICT_FONT_MATRIX, PS_DICT_FONT_BBOX, PS_DICT_PAINT_TYPE,
PS_DICT_FONT_NAME, PS_DICT_UNIQUE_ID, PS_DICT_NUM_CHAR_STRINGS, PS_DICT_CHAR_STRING_KEY,
PS_DICT_CHAR_STRING, PS_DICT_ENCODING_TYPE, PS_DICT_ENCODING_ENTRY, PS_DICT_NUM_SUBRS,
PS_DICT_SUBR, PS_DICT_STD_HW, PS_DICT_STD_VW, PS_DICT_NUM_BLUE_VALUES,
PS_DICT_BLUE_VALUE, PS_DICT_BLUE_FUZZ, PS_DICT_NUM_OTHER_BLUES, PS_DICT_OTHER_BLUE,
PS_DICT_NUM_FAMILY_BLUES, PS_DICT_FAMILY_BLUE, PS_DICT_NUM_FAMILY_OTHER_BLUES, PS_DICT_FAMILY_OTHER_BLUE,
PS_DICT_BLUE_SCALE, PS_DICT_BLUE_SHIFT, PS_DICT_NUM_STEM_SNAP_H, PS_DICT_STEM_SNAP_H,
PS_DICT_NUM_STEM_SNAP_V, PS_DICT_STEM_SNAP_V, PS_DICT_FORCE_BOLD, PS_DICT_RND_STEM_UP,
PS_DICT_MIN_FEATURE, PS_DICT_LEN_IV, PS_DICT_PASSWORD, PS_DICT_LANGUAGE_GROUP,
PS_DICT_VERSION, PS_DICT_NOTICE, PS_DICT_FULL_NAME, PS_DICT_FAMILY_NAME,
PS_DICT_WEIGHT, PS_DICT_IS_FIXED_PITCH, PS_DICT_UNDERLINE_POSITION, PS_DICT_UNDERLINE_THICKNESS,
PS_DICT_FS_TYPE, PS_DICT_ITALIC_ANGLE, PS_DICT_MAX = PS_DICT_ITALIC_ANGLE
}

enum

T1_Blend_Flags_ {
T1_BLEND_UNDERLINE_POSITION = 0, T1_BLEND_UNDERLINE_THICKNESS, T1_BLEND_ITALIC_ANGLE, T1_BLEND_BLUE_VALUES,
T1_BLEND_OTHER_BLUES, T1_BLEND_STANDARD_WIDTH, T1_BLEND_STANDARD_HEIGHT, T1_BLEND_STEM_SNAP_WIDTHS,
T1_BLEND_STEM_SNAP_HEIGHTS, T1_BLEND_BLUE_SCALE, T1_BLEND_BLUE_SHIFT, T1_BLEND_FAMILY_BLUES,
T1_BLEND_FAMILY_OTHER_BLUES, T1_BLEND_FORCE_BOLD, T1_BLEND_MAX
}

enum | T1_EncodingType_ { T1_ENCODING_TYPE_NONE = 0, T1_ENCODING_TYPE_ARRAY, T1_ENCODING_TYPE_STANDARD, T1_ENCODING_TYPE_ISOLATIN1, T1_ENCODING_TYPE_EXPERT }

## Functions

| FT_Get_PS_Font_Info (FT_Face face, PS_FontInfo afont_info)
| FT_Get_PS_Font_Private (FT_Face face, PS_Private afont_private)
| FT_Get_PS_Font_Value (FT_Face face, PS_Dict_Keys key, FT_UInt idx, void *value, FT_Long value_len)
| FT_Has_PS_Glyph_Names (FT_Face face)

## Macro Definition Documentation

#define t1_blend_blue_scale T1_BLEND_BLUE_SCALE

Definition at line 231 of file t1tables.h.

#define t1_blend_blue_shift T1_BLEND_BLUE_SHIFT

Definition at line 232 of file t1tables.h.

#define t1_blend_blue_values T1_BLEND_BLUE_VALUES

Definition at line 225 of file t1tables.h.

#define t1_blend_family_blues T1_BLEND_FAMILY_BLUES

Definition at line 233 of file t1tables.h.

#define t1_blend_family_other_blues T1_BLEND_FAMILY_OTHER_BLUES

Definition at line 234 of file t1tables.h.

#define t1_blend_force_bold T1_BLEND_FORCE_BOLD

Definition at line 235 of file t1tables.h.

#define t1_blend_italic_angle T1_BLEND_ITALIC_ANGLE

Definition at line 224 of file t1tables.h.

#define t1_blend_max T1_BLEND_MAX

Definition at line 236 of file t1tables.h.

#define t1_blend_other_blues T1_BLEND_OTHER_BLUES

Definition at line 226 of file t1tables.h.

#define t1_blend_standard_height T1_BLEND_STANDARD_HEIGHT

Definition at line 228 of file t1tables.h.

#define t1_blend_standard_widths T1_BLEND_STANDARD_WIDTH

Definition at line 227 of file t1tables.h.

#define t1_blend_stem_snap_heights T1_BLEND_STEM_SNAP_HEIGHTS

Definition at line 230 of file t1tables.h.

#define t1_blend_stem_snap_widths T1_BLEND_STEM_SNAP_WIDTHS

Definition at line 229 of file t1tables.h.

#define t1_blend_underline_position T1_BLEND_UNDERLINE_POSITION

Definition at line 222 of file t1tables.h.

#define t1_blend_underline_thickness T1_BLEND_UNDERLINE_THICKNESS

Definition at line 223 of file t1tables.h.

#define T1_MAX_MM_AXIS 4

Definition at line 243 of file t1tables.h.

Referenced by mm_weights_unmap(), parse_blend_axis_types(), parse_blend_design_map(), parse_blend_design_positions(), and T1_Get_MM_Var().

#define T1_MAX_MM_DESIGNS 16

Definition at line 240 of file t1tables.h.

Referenced by parse_blend_design_positions(), parse_weight_vector(), and T1_Set_MM_Design().

#define T1_MAX_MM_MAP_POINTS 20

Definition at line 246 of file t1tables.h.

Referenced by parse_blend_design_map().

## Typedef Documentation

typedef struct CID_FaceDictRec_* CID_FaceDict

Definition at line 334 of file t1tables.h.

typedef struct CID_FaceDictRec_ CID_FaceDictRec

typedef struct CID_FaceInfoRec_* CID_FaceInfo

Definition at line 389 of file t1tables.h.

typedef struct CID_FaceInfoRec_ CID_FaceInfoRec

typedef CID_FaceDictRec CID_FontDict

Definition at line 340 of file t1tables.h.

typedef CID_FaceInfoRec CID_Info

Definition at line 402 of file t1tables.h.

typedef struct PS_BlendRec_ * PS_Blend

typedef struct PS_BlendRec_ PS_BlendRec

typedef struct PS_DesignMap_ * PS_DesignMap

typedef struct PS_DesignMap_ PS_DesignMapRec

typedef enum PS_Dict_Keys_ PS_Dict_Keys

typedef struct PS_FontInfoRec_* PS_FontInfo

Definition at line 92 of file t1tables.h.

typedef FT_BEGIN_HEADER struct PS_FontInfoRec_ PS_FontInfoRec

typedef struct PS_PrivateRec_* PS_Private

Definition at line 167 of file t1tables.h.

typedef struct PS_PrivateRec_ PS_PrivateRec

typedef PS_BlendRec T1_Blend

Definition at line 294 of file t1tables.h.

typedef enum T1_Blend_Flags_ T1_Blend_Flags

typedef PS_DesignMapRec T1_DesignMap

Definition at line 259 of file t1tables.h.

typedef enum T1_EncodingType_ T1_EncodingType

typedef PS_FontInfoRec T1_FontInfo

Definition at line 105 of file t1tables.h.

typedef PS_PrivateRec T1_Private

Definition at line 180 of file t1tables.h.

## Enumeration Type Documentation

enum PS_Dict_Keys_

Enumerator
PS_DICT_FONT_TYPE |
PS_DICT_FONT_MATRIX |
PS_DICT_FONT_BBOX |
PS_DICT_PAINT_TYPE |
PS_DICT_FONT_NAME |
PS_DICT_UNIQUE_ID |
PS_DICT_NUM_CHAR_STRINGS |
PS_DICT_CHAR_STRING_KEY |
PS_DICT_CHAR_STRING |
PS_DICT_ENCODING_TYPE |
PS_DICT_ENCODING_ENTRY |
PS_DICT_NUM_SUBRS |
PS_DICT_SUBR |
PS_DICT_STD_HW |
PS_DICT_STD_VW |
PS_DICT_NUM_BLUE_VALUES |
PS_DICT_BLUE_VALUE |
PS_DICT_BLUE_FUZZ |
PS_DICT_NUM_OTHER_BLUES |
PS_DICT_OTHER_BLUE |
PS_DICT_NUM_FAMILY_BLUES |
PS_DICT_FAMILY_BLUE |
PS_DICT_NUM_FAMILY_OTHER_BLUES |
PS_DICT_FAMILY_OTHER_BLUE |
PS_DICT_BLUE_SCALE |
PS_DICT_BLUE_SHIFT |
PS_DICT_NUM_STEM_SNAP_H |
PS_DICT_STEM_SNAP_H |
PS_DICT_NUM_STEM_SNAP_V |
PS_DICT_STEM_SNAP_V |
PS_DICT_FORCE_BOLD |
PS_DICT_RND_STEM_UP |
PS_DICT_MIN_FEATURE |
PS_DICT_LEN_IV |
PS_DICT_PASSWORD |
PS_DICT_LANGUAGE_GROUP |
PS_DICT_VERSION |
PS_DICT_NOTICE |
PS_DICT_FULL_NAME |
PS_DICT_FAMILY_NAME |
PS_DICT_WEIGHT |
PS_DICT_IS_FIXED_PITCH |
PS_DICT_UNDERLINE_POSITION |
PS_DICT_UNDERLINE_THICKNESS |
PS_DICT_FS_TYPE |
PS_DICT_ITALIC_ANGLE |
PS_DICT_MAX |

Definition at line 526 of file t1tables.h.

enum T1_Blend_Flags_

Enumerator
T1_BLEND_UNDERLINE_POSITION |
T1_BLEND_UNDERLINE_THICKNESS |
T1_BLEND_ITALIC_ANGLE |
T1_BLEND_BLUE_VALUES |
T1_BLEND_OTHER_BLUES |
T1_BLEND_STANDARD_WIDTH |
T1_BLEND_STANDARD_HEIGHT |
T1_BLEND_STEM_SNAP_WIDTHS |
T1_BLEND_STEM_SNAP_HEIGHTS |
T1_BLEND_BLUE_SCALE |
T1_BLEND_BLUE_SHIFT |
T1_BLEND_FAMILY_BLUES |
T1_BLEND_FAMILY_OTHER_BLUES |
T1_BLEND_FORCE_BOLD |
T1_BLEND_MAX |

Definition at line 193 of file t1tables.h.

enum T1_EncodingType_

Enumerator
T1_ENCODING_TYPE_NONE |
T1_ENCODING_TYPE_ARRAY |
T1_ENCODING_TYPE_STANDARD |
T1_ENCODING_TYPE_ISOLATIN1 |
T1_ENCODING_TYPE_EXPERT |

Definition at line 506 of file t1tables.h.

## Function Documentation

FT_Get_PS_Font_Info | ( | FT_Face | face,
|  | PS_FontInfo | afont_info
| ) |  |

FT_Get_PS_Font_Private | ( | FT_Face | face,
|  | PS_Private | afont_private
| ) |  |

FT_Get_PS_Font_Value | ( | FT_Face | face,
|  | PS_Dict_Keys | key,
|  | FT_UInt | idx,
|  | void * | value,
|  | FT_Long | value_len
| ) |  |

Definition at line 97 of file fttype1.c.

References FT_FACE_FIND_SERVICE, and NULL.

FT_Has_PS_Glyph_Names | ( | FT_Face | face | ) |

Definition at line 52 of file fttype1.c.

References FT_FACE_FIND_SERVICE, and NULL.